import request from '@/utils/request'

// 工资付款记录表列表
export function projectsalarypaymentLists(params: any) {
    return request.get({ url: '/project.project_salary_payment/lists', params })
}

// 添加工资付款记录
export function projectsalarypaymentAdd(params: any) {
    return request.post({ url: '/project.project_salary_payment/add', params })
}

// 编辑工资付款记录
export function projectsalarypaymentEdit(params: any) {
    return request.post({ url: '/project.project_salary_payment/edit', params })
}

// 删除工资付款记录
export function projectsalarypaymentDelete(params: any) {
    return request.post({ url: '/project.project_salary_payment/delete', params })
}

// 工资付款记录详情
export function projectsalarypaymentDetail(params: any) {
    return request.get({ url: '/project.project_salary_payment/detail', params })
}

//获取所有工资付款记录
export function getAllProjectRoles(params: any) {
    return request.post({ url: '/project.project_salary_payment/getAllProjectRoles', params })
}


